--- old/usr/src/uts/common/io/iwp/iwp.c	2015-08-19 07:25:08.038843790 -0400
+++ new/usr/src/uts/common/io/iwp/iwp.c	2015-08-19 07:25:08.044389753 -0400
@@ -2070,7 +2070,7 @@
 		return (err);
 	}
 
-	clk = ddi_get_lbolt() + drv_usectohz(1000000);
+	clk = ddi_get_lbolt() + drv_sectohz(1);
 
 	/* wait loading init_text until completed or timeout */
 	while (!(sc->sc_flags & IWP_F_PUT_SEG)) {
@@ -2098,7 +2098,7 @@
 		return (err);
 	}
 
-	clk = ddi_get_lbolt() + drv_usectohz(1000000);
+	clk = ddi_get_lbolt() + drv_sectohz(1);
 
 	/*
 	 * wait loading init_data until completed or timeout
@@ -2139,7 +2139,7 @@
 		return (err);
 	}
 
-	clk = ddi_get_lbolt() + drv_usectohz(1000000);
+	clk = ddi_get_lbolt() + drv_sectohz(1);
 
 	/* wait loading run_text until completed or timeout */
 	while (!(sc->sc_flags & IWP_F_PUT_SEG)) {
@@ -2167,7 +2167,7 @@
 		return (err);
 	}
 
-	clk = ddi_get_lbolt() + drv_usectohz(1000000);
+	clk = ddi_get_lbolt() + drv_sectohz(1);
 
 	/*
 	 * wait loading run_data until completed or timeout
@@ -3697,7 +3697,7 @@
 		if (ic->ic_mach &&
 		    (sc->sc_flags & IWP_F_RATE_AUTO_CTL)) {
 			clk = ddi_get_lbolt();
-			if (clk > sc->sc_clk + drv_usectohz(1000000)) {
+			if (clk > sc->sc_clk + drv_sectohz(1)) {
 				iwp_amrr_timeout(sc);
 			}
 		}
@@ -4565,7 +4565,7 @@
 	 */
 	IWP_WRITE(sc, CSR_RESET, 0);
 
-	clk = ddi_get_lbolt() + drv_usectohz(1000000);
+	clk = ddi_get_lbolt() + drv_sectohz(1);
 	while (!(sc->sc_flags & IWP_F_FW_INIT)) {
 		if (cv_timedwait(&sc->sc_ucode_cv,
 		    &sc->sc_glock, clk) < 0) {
@@ -4612,7 +4612,7 @@
 	 */
 	IWP_WRITE(sc, CSR_RESET, 0);
 
-	clk = ddi_get_lbolt() + drv_usectohz(1000000);
+	clk = ddi_get_lbolt() + drv_sectohz(1);
 	while (!(sc->sc_flags & IWP_F_FW_INIT)) {
 		if (cv_timedwait(&sc->sc_ucode_cv,
 		    &sc->sc_glock, clk) < 0) {
